List all tags
curl --request GET \
--url https://api.syntage.com/tags \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.syntage.com/tags"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.syntage.com/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"@context": "/contexts/Tag",
"@id": "/tags",
"@type": "hydra:Collection",
"hydra:member": [
{
"@id": "/tags/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "Tag",
"id": "e0a24894-7fbf-48ae-bfb0-efaae30a6319",
"name": "To be reviewed",
"resourceType": "invoice",
"color": "#22c558",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}
],
"hydra:view": {
"@id": "<string>",
"@type": "hydra:PartialCollectionView",
"hydra:next": "/entity/2a15f539-3251-48e1-aaeb-a154dc9c6edb/resource?id[lt]=9b8e5365-0b36-45f5-9c76-fbe439632367",
"hydra:last": "/entity/2a15f539-3251-48e1-aaeb-a154dc9c6edb/resource?id[gt]=9b8e5365-0b36-45f5-9c76-fbe439632367"
},
"hydra:search": {
"@type": "<string>",
"hydra:template": "<string>",
"hydra:variableRepresentation": "<string>",
"hydra:mapping": [
{
"@type": "<string>",
"variable": "<string>",
"property": "<string>",
"required": true
}
]
}
}{
"message": "<string>"
}Tags
List all tags
List tags that can be assigned to supported resources.
GET
/
tags
List all tags
Authorizations
Your API key is available in the Production and Sandbox dashboards.
Query Parameters
Collection cursor pointer to the next page
Collection cursor pointer to the previous page
Number of items per page
Required range:
1 <= x <= 1000Was this page helpful?
⌘I